Skip to main content
`Ctrl`+`K`

# PetscObjectView

Views, that is displays or stores information about a `PetscObject`.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectView(PetscObject obj, PetscViewer viewer)

Collective

## Input Parameters

- obj - any PETSc object, for example a `Vec`, `Mat` or `KSP`. It must be cast with a (`PetscObject`), for example, `PetscObjectView`((`PetscObject`)mat,`viewer`);

- viewer - any PETSc viewer

## See Also

`PetscObject`, `PetscObjectViewFromOptions()`, `PetscViewer`

## Level

intermediate

## Location

src/sys/objects/destroy.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages